Skip to main content
POST
/
personas
/
{persona_id}
/
duplicate
Duplicate a persona
curl --request POST \
  --url https://api.coval.dev/v1/personas/{persona_id}/duplicate \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.coval.dev/v1/personas/{persona_id}/duplicate"

headers = {"X-API-Key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.coval.dev/v1/personas/{persona_id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "persona": {
    "resource_name": "personas/3zfmuDbVQsi4GaseDtiVcS",
    "id": "3zfmuDbVQsi4GaseDtiVcS",
    "name": "Friendly Customer",
    "create_time": "2025-01-24T10:00:00Z",
    "persona_prompt": "You are a friendly customer calling for technical support...",
    "voice_name": "aria",
    "language_code": "en-US",
    "background_sound": "office",
    "background_sound_volume": 0.3,
    "voice_volume": 1.25,
    "voice_speed": 0.85,
    "wait_seconds": 0.5,
    "conversation_initiation": "speak_first",
    "multi_language_stt": true,
    "hold_music_timeout_seconds": 15,
    "tags": [
      "voice",
      "english"
    ],
    "update_time": "2025-01-24T12:30:00Z"
  }
}
{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid language_code 'en-ZZ'"
}
}
{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing or invalid API key"
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Persona abc123 not found"
}
}
{
"error": {
"code": "INTERNAL",
"message": "An unexpected error occurred"
}
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

persona_id
string
required

ID of the persona to duplicate

Response

Persona duplicated successfully

persona
object
required

Persona resource representation returned by API responses.